WordPress.org

Ready to get started?Download WordPress

Forums

Leaflet Maps Marker (Google Maps, OpenStreetMap, Bing Maps)
[resolved] Internal Server Error when switching to advanced editor (24 posts)

  1. photocoen
    Member
    Posted 1 year ago #

    Hey Robert,

    I've just installed the new version, and when I switch to the advanced editor to add a new marker, it comes up with this error:

    The server encountered an internal error or misconfiguration and was unable to complete your request.
    Please contact the server administrator to inform of the time the error occurred and of anything you might have done that may have caused the error.

    More information about this error may be available in the server error log.

    Any clues?

    Adventurous greetings,
    Coen

    http://wordpress.org/extend/plugins/leaflet-maps-marker/

  2. RobertHarm
    Member
    Plugin Author

    Posted 1 year ago #

    Hi Coen,
    try switching to the advanced editor via Settings / Misc (& contact your server administrator for details - cant tell, what caused this)
    regards,
    Robert

  3. photocoen
    Member
    Posted 1 year ago #

    Okay, that saved my day. Got the advanced editor now. When I hit the switch to show the simplified editor, it troughs the same error at me?

  4. RobertHarm
    Member
    Plugin Author

    Posted 1 year ago #

    to bad - unfortunately I would need more info from server admin (which is you? ;-)

  5. photocoen
    Member
    Posted 1 year ago #

    I also see this under the Maps Marker menu bar:

    $first_mlm_id: 7$other_mlm_ids: Array ( [0] => 8 [1] => 14 [2] => 25 [3] => 26 [4] => 31 )

    I don't think it should be there.

    Adventurous greetings,
    Coen

  6. RobertHarm
    Member
    Plugin Author

    Posted 1 year ago #

    ups - thanks for reporting! missed that - output will be hidden in v3.1 (which I just wanted to commit and now has to wait a bit ;-)

  7. photocoen
    Member
    Posted 1 year ago #

    good... anything else I will post here, I will be testing now... ;-)

  8. RobertHarm
    Member
    Plugin Author

    Posted 1 year ago #

    Hi Coen,
    FYI: v3.2 will include a new function behind the editor switch link which should be more compatible...
    regards,
    Robert

  9. photocoen
    Member
    Posted 1 year ago #

    Great! Be happy to test it, if you have internet.. ;-)

  10. RobertHarm
    Member
    Plugin Author

    Posted 1 year ago #

    :-) testing is difficult unless you have a separate test environment (updating to the final release then could disrupt your system)

  11. RobertHarm
    Member
    Plugin Author

    Posted 1 year ago #

    Hi Coen,
    please test again with v3.2.1 - should work now.
    regards,
    Robert

  12. photocoen
    Member
    Posted 1 year ago #

    hmmm I get a nice big fat error in the latest update:

    Leaflet Maps Marker warning!
    You must enqueue the plugin stylesheets manually if you want to show maps by calling do_shortcode() in your template files!

    Please add the following code before your get_header() call inside your template, which is usually located in header.php:

    $plugin_version = get_option('leafletmapsmarker_version');
    global $wp_styles;
    wp_enqueue_style( 'leafletmapsmarker', LEAFLET_PLUGIN_URL . 'leaflet-dist/leaflet.css', array(), $plugin_version );
    wp_enqueue_style( 'leafletmapsmarker-ie-only', LEAFLET_PLUGIN_URL . 'leaflet-dist/leaflet.ie.css', array(), $plugin_version );
    $wp_styles->add_data('leafletmapsmarker-ie-only', 'conditional', 'lt IE 9');

  13. photocoen
    Member
    Posted 1 year ago #

    This is only for my maps in the sidebar.

  14. RobertHarm
    Member
    Plugin Author

    Posted 1 year ago #

    v3.2.2 will have a new option for this - no more template edits needed then...

  15. photocoen
    Member
    Posted 1 year ago #

    I think I must start doing offline testing for these things. Is there a way to downgrade to the last version, I haven't downloaded that. And more over, can I just delete the new plugin and install a previous version?

    Adventurous greetings,
    Coen

  16. RobertHarm
    Member
    Plugin Author

    Posted 1 year ago #

    v3.2.2 will be released later today - no need to downgrade...

  17. photocoen
    Member
    Posted 1 year ago #

    But I didn't have any template edits before, this is something that has come up with the latest update only....

  18. RobertHarm
    Member
    Plugin Author

    Posted 1 year ago #

    v3.2.2 will be released later today - no need to downgrade...

  19. RobertHarm
    Member
    Plugin Author

    Posted 1 year ago #

    v3.2.2 will be released later today - no need to downgrade...

  20. RobertHarm
    Member
    Plugin Author

    Posted 1 year ago #

    Hi Coen,
    just released v3.2.2 which should solve your issue - please check.
    thanks
    Robert

  21. photocoen
    Member
    Posted 1 year ago #

    Check, the maps in the sidebar look okay now! But the internal server error still is there when I try to access either the simplified editor, or visa versa.

    Coen

  22. RobertHarm
    Member
    Plugin Author

    Posted 1 year ago #

    too bad. on my installations it worked better than the old method. As I just update a regular wordpress option, I dont have a clue why it is not working with you. Could you give me temporary admin access so that I can have a look?

  23. photocoen
    Member
    Posted 1 year ago #

    I just gave you permission. e-mail sent to you. Thanks in advance.

  24. RobertHarm
    Member
    Plugin Author

    Posted 1 year ago #

    Hi Coen,

    I am not sure why it didnt work on your installation - so to be on the safe side, I modified the switch editor function in order to be more compatible. Only disadvantage: I had to remove the "back to editor" link which linked you to the last page shown. But I guess that is worth if it finally works, as you dont switch editors too often I think ;-)

    In order to get the fix, please download 3.2.2 manually and overwrite the files leaflet-marker.php and leaflet-layer.php on your server.

    best regards,
    Robert

  25. photocoen
    Member
    Posted 1 year ago #

    Got it! It works. Not like it should of course, but it works. Thanks a million!

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic

Tags

No tags yet.